import pandas as pd #biblioteka za rad sa tabelama i pravljenje jednostavnih grafikona
import matplotlib.pyplot as plt # biblioteka za prikaz i cuvanje slike

tabela = pd.read_csv('population2.csv') #ucitavanje skupa u obliku tabele iz csv datoteke
tabela = tabela.set_index('country', drop=False )
# dodela imena (oznake, indeksa) svakom redu sa set_index
# svaki red ce imati ime koje odgovara nazivu zemlje (tabela.set_index('country'))
# drop=False se postavlja da bi ostala i kolona country u tabeli i da moze kasnije da se koristi

print(tabela.head())  # ispis prvih 5 redova tabele

print(tabela.columns) # ispis svih kolona tabele

tabela.plot.pie(y='population') # prikaz kruznog grafikona za kolonu population
                                # za lepsi prikaz koristite manji skup: population2.csv sa podacima za
                                # ~10 zemalja

plt.show()  #prikaz grafikona

tabela.plot.bar(x='country', y='world_share') # prikaz stupcanog grafikona
                                              # na x-osi su prikazana imena zamalja, a
                                              # na y-osi procenat populacije koji zivi u toj zemlji
plt.show()  #prikaz grafikona

tabela.plot.scatter(x='fert_rate', y='med_age') # prikaz  grafikona sa rastrkanim elementima
                                                # svaka zemlja je prikazana kao jedan kruzic
                                                # pozicija kruzica (tj. zemlje) je  odredjena
                                                # sa (stopa fertiliteta, prosecna starost stanovnistva).
                                                # tj. vrednost na x-osi  je stopa fertiliteta, a
                                                # vrednost na y-osi prosecna starost stanovnistva te zemlje

plt.title('Stopa fertiliteta - srednje godine stanovnista') # naslov grafikona
plt.show()  #prikaz grafikona

tabela.plot.scatter(x='urban_pop', y='med_age', s=tabela['fert_rate']*20)
# prikaz  grafikona sa rastrkanim elementima
# svaka zemlja je prikazana kao jedan kruzic
# pozicija kruzica (tj. zemlje) je odredjena
# sa (procenat stanovnista koji zivi u urbanim sredinama, prosecna starost stanovnistva)
# tj. vrednost na x-osi je procenat stanovnista koji zivi u urbanim sredinama (x='urban_pop'), a
# vrednost na y-osi prosecna starost stanovnistva te zemlje (y='med_age')
# velicina kruga koji je dodeljen zemlji se odredjuje na osnovu stope fertiliteta prema izrazu
# stopa fertiliteta *20 (s=tabela['fert_rate']*20)

plt.show()  #prikaz grafikona

tabela['med_age'].plot.hist(bins=13, color='green', alpha=0.5)
#prikaz histograma za kolonu 'med_age'
#vrednosti kolone su podeljene u 13 intervala

plt.xlabel('med age') # ispis 'med age' uz x-osu
plt.show()  #prikaz grafikona

